Class | Fog::Compute::AWS::Flavors
In: | lib/fog/aws/models/compute/flavors.rb
Parent: | Fog::Collection

### Methods

all get

### Public Instance methods

all()

     Returns an array of all flavors that have been created

     AWS.flavors.all

     ==== Returns

     Returns an array of all available instance sizes

>> AWS.flavors.all

      <Fog::AWS::Compute::Flavors
        [
          <Fog::AWS::Compute::Flavor
            id="t1.micro",
            bits=0,
            cores=2,
            disk=0,
            name="Micro Instance",
            ram=613
          >,
          <Fog::AWS::Compute::Flavor
            id="m1.small",
            bits=32,
            cores=1,
            disk=160,
            name="Small Instance",
            ram=1740.8
          >,
          <Fog::AWS::Compute::Flavor
            id="m1.medium",
            bits=32,
            cores=2,
            disk=400,
            name="Medium Instance",
            ram=3750
          >,
          <Fog::AWS::Compute::Flavor
            id="m1.large",
            bits=64,
            cores=4,
            disk=850,
            name="Large Instance",
            ram=7680
          >,
          <Fog::AWS::Compute::Flavor
            id="m1.xlarge",
            bits=64,
            cores=8,
            disk=1690,
            name="Extra Large Instance",
            ram=15360
          >,
          <Fog::AWS::Compute::Flavor
            id="c1.medium",
            bits=32,
            cores=5,
            disk=350,
            name="High-CPU Medium",
            ram=1740.8
          >,
          <Fog::AWS::Compute::Flavor
            id="c1.xlarge",
            bits=64,
            cores=20,
            disk=1690,
            name="High-CPU Extra Large",
            ram=7168
          >,
          <Fog::AWS::Compute::Flavor
            id="m2.xlarge",
            bits=64,
            cores=6.5,
            disk=420,
            name="High-Memory Extra Large",
            ram=17510.4
          >,
          <Fog::AWS::Compute::Flavor
            id="m2.2xlarge",
            bits=64,
            cores=13,
            disk=850,
            name="High Memory Double Extra Large",
            ram=35020.8
          >,
          <Fog::AWS::Compute::Flavor
            id="m2.4xlarge",
            bits=64,
            cores=26,
            disk=1690,
            name="High Memory Quadruple Extra Large",
            ram=70041.6
          >,
          <Fog::AWS::Compute::Flavor
            id="cc1.4xlarge",
            bits=64,
            cores=33.5,
            disk=1690,
            name="Cluster Compute Quadruple Extra Large",
            ram=23552
          >,
          <Fog::AWS::Compute::Flavor
            id="cc2.8xlarge",
            bits=64,
            cores=88,
            disk=3370,
            name="Cluster Compute Eight Extra Large",
            ram=61952
          >,
          <Fog::AWS::Compute::Flavor
            id="cg1.4xlarge",
            bits=64,
            cores=33.5,
            disk=1690,
            name="Cluster GPU Quadruple Extra Large",
            ram=22528
          >
        ]
      >

get(flavor_id)

     Used to retrieve a flavor
     flavor_id is required to get the associated flavor information.
     flavors available currently:
     't1.micro', 'm1.small', 'm1.large', 'm1.xlarge', 'c1.medium', 'c1.xlarge', 'm2.xlarge', 'm2.2xlarge', 'm2.4xlarge', 'cc1.4xlarge', 'cc2.8xlarge', 'cg1.4xlarge'

     You can run the following command to get the details:
     AWS.flavors.get("t1.micro")

     ==== Returns

>> AWS.flavors.get("t1.micro")

     <Fog::AWS::Compute::Flavor
      id="t1.micro",
      bits=0,
      cores=2,
      disk=0,
      name="Micro Instance",
      ram=613

>

[Validate]